/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : VarEntry.java                                            */
/* DESCRIPTION   : Environment entry for a variable                         */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 28th August 2003                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 28th August 2003                                         */
/****************************************************************************/

package sfl.env;

import sfl.node.*;
import sfl.types.*;
import java.io.*;

public class VarEntry extends EnvEntry {

    Type type;

    public VarEntry(Type t) {
	type = t;
    }

    public Type getType() {
	return type;
    }
}
