/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : AndRightError.java                                       */
/* DESCRIPTION   : Error: wrong type for right arg of and                   */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 28th August 2003                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 28th August 2003                                         */
/****************************************************************************/

package sfl.error;

public class AndRightError extends Error {

    public String type;

    public AndRightError(String t) {
	type = t;
    }

    public String message() {
	return "the second argument of \"&\" should have type \"bool\"" +
	    " but here it is \"" + type + "\"";
    } 

}
