/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : AppVarError.java                                         */
/* DESCRIPTION   : Error: variable used as function                         */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 17th September 2003                                      */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 17th September 2003                                      */
/****************************************************************************/

package sfl.error;

public class AppVarError extends Error {

    public String id;

    public AppVarError(String i) {
	id = i;
    }

    public String message() {
	return "the identifier \"" + id + "\" is applied to arguments here "
	    + "but is not defined as a function";
    } 

}
