/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : ArgRedefinedError.java                                   */
/* DESCRIPTION   : Error: attempt to reuse an argument name                 */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 18th September 2003                                      */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 18th September 2003                                      */
/****************************************************************************/

package sfl.error;

public class ArgRedefinedError extends Error {

    public String id;

    public ArgRedefinedError(String i) {
	id = i;
    }

    public String message() {
	return "the argument name \"" + id + "\" has already been used" +
	    " in this function";
    } 

}
