/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : FunNoArgsError.java                                      */
/* DESCRIPTION   : Error: function used as variable                         */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 17th September 2003                                      */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 17th September 2003                                      */
/****************************************************************************/

package sfl.error;

public class FunNoArgsError extends Error {

    public String id;

    public FunNoArgsError(String i) {
	id = i;
    }

    public String message() {
	return "the identifier \"" + id + "\" is defined as a function but"
	    + " appears here with no arguments";
    } 

}
