/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : FunRedefinedError.java                                   */
/* DESCRIPTION   : Error: attempt to reuse a function name                  */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 18th September 2003                                      */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 18th September 2003                                      */
/****************************************************************************/

package sfl.error;

public class FunRedefinedError extends Error {

    public String id;

    public FunRedefinedError(String i) {
	id = i;
    }

    public String message() {
	return "the function name \"" + id + "\" has already been used";
    } 

}
