/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : UndefinedFunError.java                                   */
/* DESCRIPTION   : Error: undefined function                                */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 17th September 2003                                      */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 17th September 2003                                      */
/****************************************************************************/

package sfl.error;

public class UndefinedFunError extends Error {

    public String id;

    public UndefinedFunError(String i) {
	id = i;
    }

    public String message() {
	return "the function \"" + id + "\" is not defined";
    } 

}
