/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : UndefinedIdError.java                                    */
/* DESCRIPTION   : Error: undefined identifier                              */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 17th September 2003                                      */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 17th September 2003                                      */
/****************************************************************************/

package sfl.error;

public class UndefinedIdError extends Error {

    public String id;

    public UndefinedIdError(String i) {
	id = i;
    }

    public String message() {
	return "the identifier \"" + id + "\" is not defined";
    } 

}
