/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : Type.java                                                */
/* DESCRIPTION   : Abstract class of types                                  */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 28th August 2003                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 16th September 2003                                      */
/****************************************************************************/

package sfl.types;

public abstract class Type {

    public abstract String name();

    public abstract boolean equal(Type t);

}
