/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : PlusLeftError.java                                       */
/* DESCRIPTION   : Error: wrong type for left arg of plus                   */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 28th August 2003                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 28th August 2003                                         */
/****************************************************************************/

package sfl.error;

public class PlusLeftError extends Error {

    public String type;

    public PlusLeftError(String t) {
	type = t;
    }

    public String message() {
	return "the first argument of \"+\" should have type \"int\"" +
	    " but here it is \"" + type + "\"";
    } 

}
